[ Table Of Contents ]

# img-sgi(n) 2.0 doc "Img"

## Name

img-sgi - Silicon Graphics format (sgi)

## Synopsis

- package require img::sgi ?2.0?

## Description

package require img::sgi

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Silicon Graphics format (sgi). More specifically img::sgi extends Tk's photo image type.

The name of the new format handler is sgi. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

1. Image data in sgi format (options -data and -file) is detected automatically.

2. The format name sgi is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::sgi is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::sgi.

## Supported Types

This format handler supports the following image types:

- 24-bit pixels: Truecolor (RGB, 8-bit channels).

- 32-bit pixels: Truecolor with alpha channel (RGBA, 8-bit channels).

- 48-bit pixels: Truecolor (RGB, 16-bit channels).

- 64-bit pixels: Truecolor with alpha channel (RGBA, 16-bit channels).

All images types may be either uncompressed or run-length encoded.

     Type   |     Read      |     Write     |
            | -file | -data | -file | -data |
     ----------------------------------------
     24-bit | Yes   | Yes   | Yes   | Yes   |
     32-bit | Yes   | Yes   | Yes   | Yes   |
     48-bit | Yes   | Yes   | No    | No    |
     64-bit | Yes   | Yes   | No    | No    |

## Options

The handler provides the following options:

-verbose bool

  This option is supported for reading and writing. Available since version 1.3.

  If set to true, additional information about the read or written image is printed to stdout. Default is false.

-withalpha bool

  This option is supported for reading and writing. Available since version 1.3.

  If set to false, an alpha channel is ignored during reading or writing. Default is true.

  Note: This option was named -matte in previous versions and is still recognized.

-compression string

  This option is supported for writing only. Available since version 1.3.

  Set the compression mode to either none or rle. Default is rle.

## See Also

img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

## Copyright

Copyright © 1995-2024 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright © 2002-2024 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright © 2003-2024 Paul Obermeier <obermeier@users.sourceforge.net>